Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.gradle.api.tasks
[Java] Annotation Type InputDirectory

    java.lang.Object
      org.gradle.api.tasks.InputDirectory

    @Documented
    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.METHOD, ElementType.FIELD})
    public @interface InputDirectory

Marks a property as specifying an input directory for a task.

This annotation should be attached to the getter method or the field for the property.

This annotation should be attached to the getter method or the field for the property.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Gradle API 1.10